% cho=1 pour J. bastien seulement.
if ~exist('cho','var')
    cho=0;
end
close all;
donnee_usa_bis;
donnee_usa_ter;
[K,y0,a,t0]=regression_logistique(t,y,0,[],[],'M',1e5,[],1);
if cho
    print('-dpdf','dessins/usa_verhulst_bis.pdf');
    stocke_tableau_tex([tnew.',ynew.'],'l',6,3,'f',0,[],1,4,2,'usa_data_bis',[],{'Annes','Population (M)'});
else
    figure;
end
x=[K,y0,a,t0];
ynewpred=fonction_logistique(x,tnew,t0);
if cho
    stocke_tableau_tex([tnew.',ynewpred.'],'l',6,3,'f',0,[],1,4,2,'usa_data_bis_bis',[],{'Annes','Population (M)'});
end
t=[t,tnew];
y=[y,ynew];
P=1000;
tc=linspace(min(t),max(t),P);
plot(t,y,'-*',tc,fonction_logistique(x,tc,t0));
legend('donnes','modle','location','NorthWest');
xlabel('annes');
ylabel('population (M)');
if cho
    print('-dpdf','dessins/usa_verhulst_ter.pdf');
else
    disp('Dernires observations');
    disp('Annes');
    disp(tnew.');
    disp('Population');
    disp(ynew.');
    disp('Dernires observations (population)');
    disp(ynewpred.');
end